Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1365764 - Access to clipboard from gnome shell toolkit broken when using wayland
Summary: Access to clipboard from gnome shell toolkit broken when using wayland
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell-extensions
Version: 24
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-10 07:45 UTC by Thilo Maurer
Modified: 2017-08-08 16:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 16:22:52 UTC


Attachments (Terms of Use)

Description Thilo Maurer 2016-08-10 07:45:48 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/52.0.2743.82 Safari/537.36
Build Identifier: 

When running Wayland, text written by ST to the clipboard does not end up in the clipboard buffer. (Fedora 23&24 on Wayland, no issue for Ubuntu 16.04.1 LTS)

Multiple gnome shell extensions are therefore unable to use the clipboard.
Here are two:
https://github.com/thilomaurer/pwcalc/issues/8
https://github.com/Tudmotu/gnome-shell-extension-clipboard-indicator/issues/41

For example

St.Clipboard.get_default().set_text(St.ClipboardType.CLIPBOARD,"text for the clipboard");

does seem to have no effect.
Debugging into the code leads to the function st_clipboard_set_text in https://github.com/GNOME/gnome-shell/blob/master/src/st/st-clipboard.c 

This function calls a bunch of X server functions which should finally deliver the clipboard text to the clipboard buffer but they seem to have no effect.


Reproducible: Always

Steps to Reproduce:
1. run gnome on wayland
2. start firefox, go to https://extensions.gnome.org/extension/825/password-calculator/ , allow site plugin
3. use toggle-switch to install password calculator plugin to gnome shell
4. open plugin (key-icon in icon bar), enter alias and passwort, press enter, observe notification to copy to clipboard
5. try to paste clipboard contents somewhere, but: no effect

Comment 1 Thilo Maurer 2016-08-16 11:19:37 UTC
Sorry, I messed up. It is also broken in Ubuntu 16.04.1

Comment 2 Thilo Maurer 2016-09-09 10:33:22 UTC
Patch for Gnome Shell Toolkit is available, see https://bugzilla.gnome.org/show_bug.cgi?id=769619

Comment 3 Fedora End Of Life 2017-07-25 22:20:26 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-08-08 16:22:52 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.